﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Media;

namespace Notatnik
{
    public static class PrintHelper
    {
        private static FlowDocument createFlowDocument(string[] linie, double pageWidth)
        {
            FlowDocument fd = new FlowDocument();

            fd.Background = Brushes.White;
            fd.Foreground = Brushes.Black;

            fd.FontFamily = new FontFamily("Times New Roman");
            //fd.FontStyle = new System.Windows.FontStyle();            
            fd.FontWeight = FontWeight.FromOpenTypeWeight(10);
            fd.FontSize = 18;

            fd.ColumnGap = 0;
            fd.ColumnWidth = pageWidth;

            foreach(string linia in linie)
            {
                Paragraph p = new Paragraph(new Run(linia));
                fd.Blocks.Add(p);
            }

            return fd;
        }

        public static void PrintText(string[] linie)
        {
            PrintDialog pd = new PrintDialog();

            if(pd.ShowDialog() == true)
            {
                FlowDocument fd = createFlowDocument(linie, pd.PrintableAreaWidth);
                pd.PrintDocument((fd as IDocumentPaginatorSource).DocumentPaginator, fd.Name);
            }
        }

        public static void PrintText(string text)
        {
            string[] linie = text.Split('\n');
            for (int i = 0; i < linie.Length; ++i)
                linie[i] = linie[i].TrimEnd('\r', ' ');
            PrintText(linie);
        }
    }
}
